BUS_FIND_DEVICE_BY_N(9)

NAME
bus_find_device_by_name - device iterator for locating a particular device of a specific name

SYNOPSIS

struct device * bus_find_device_by_name(struct bus_type * bus, struct device * start, const char * name);

ARGUMENTS

bus
    bus type

start
    Device to begin with

name
    name of the device to match

DESCRIPTION

This is similar to the bus_find_device function above, but it handles searching by a name automatically, no need to write another strcmp matching function.

COPYRIGHT